PHP kézikönyv
Előző |  | Következő

# HttpRequest::__construct

(no version information, might be only in CVS)

HttpRequest::__construct -- HttpRequest constructor

## Leírás

publicvoid HttpRequest::__construct ( [string url [, int request_method = HTTP_METH_GET [, array options]]] )

Instantiate a new HttpRequest object.

## Paraméterek

url

  the target request url

request_method

  the request method to use

options

  an associative array with request options

## Errors/Exceptions

Throws HttpException.

Előző | Tartalom | Következő
HttpRequest::clearHistory | Fel | HttpRequest::enableCookies